Costfluent Docs
  • Documentation
  • API Reference
Information
Workspaces
    List workspacesgetCreate workspacepostGet workspacegetUpdate workspaceputDelete workspacedeleteGet the workspace's exchange rate policyget
Virtual Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Virtual-Tags
    Activate virtual tagpostList virtual tagsgetCreate virtual tagpostDeactivate virtual tagpostGet virtual taggetDelete virtual tagdeleteUpdate virtual tagpatch
Utility
    Get current token infogetHealth checkget
Me
    Get current token infoget
Ping
    Health checkget
Tags
    Get tag keygetDelete tag keydeleteList tag keysget
Tag-Keys
    Get tag keygetDelete tag keydeleteList tag keysget
Saved Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Saved-Filters
    List saved filtersgetCreate saved filterpostGet saved filtergetUpdate saved filterputDelete saved filterdelete
Providers
    List providersgetConnect providerpostGet providergetDelete providerdeleteGet available providersgetGet provider sync historygetTest provider connectionpostTrigger provider syncpostUpdate providerput
Folders
    List foldersgetCreate folderpostGet foldergetUpdate folderputDelete folderdelete
Exchange Rates
    Get available currenciesgetGet exchange rategetGet the workspace's exchange rate policygetList exchange ratesget
Exchange-Rates
    Get available currenciesgetGet exchange rategetList exchange ratesget
Dashboards
    List dashboardsgetCreate dashboardpostGet dashboardgetUpdate dashboardputDelete dashboarddelete
Custom Provider
    Submit costs batchpost
Custom-Providers
    Submit costs batchpost
Report Notifications
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost-Report-Subscriptions
    Activate report notificationpostList report notificationsgetCreate report notificationpostDeactivate report notificationpostGet report notificationgetDelete report notificationdeleteUpdate report notificationpatch
Cost Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost-Reports
    List cost reportsgetCreate cost reportpostGet cost reportgetUpdate cost reportputDelete cost reportdeleteGet cost report dataget
Cost Data
    Get cost datagetGet cost forecastgetGet cost summaryget
Costs
    Get cost datagetGet cost forecastgetGet cost summaryget
Cost Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Cost-Alerts
    List cost alertsgetCreate cost alertpostGet cost alertgetUpdate cost alertputDelete cost alertdeleteGet cost alert eventsgetPause cost alertpostResume cost alertpost
Contracting
    Get the data processing agreement statusget
Budgets
    List budgetsgetCreate budgetpostGet budgetgetUpdate budgetputDelete budgetdelete
Billing
    Get the account's entitlementgetGet the account's metered usageget
Entitlement
    Get the account's entitlementget
Usage
    Get the account's metered usageget
Anomalies
    Acknowledge anomalypostList anomaliesget
Allocation
    List allocation rulesgetCreate an allocation rulepostUpdate an allocation ruleputDelete an allocation ruledeleteReorder the allocation rule setpostRead allocation coveragegetList segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdeletePreview an allocation rulepost
Segments
    List segmentsgetCreate a segmentpostUpdate a segmentputDelete a segmentdelete
Schemas
Costfluent Public API
Costfluent Public API

Tag-Keys

Server
Download schema

Get tag key

GET
https://api.costfluent.com
/v1/tag-keys/{tagKeyId}
Bearer (API token)

Returns a specific tag key

Get tag key › path Parameters

​CostfluentSharedKernelPublicIdsTagKeyPublicId · required

Get tag key › Responses

Success

CostfluentPublicApiModelsV1ResponsesTagKeyResponse
​CostfluentSharedKernelPublicIdsTagKeyPublicId · required
key
​string · required
providerKeys
​string[] · required
valueCount
​integer · int32
lastSeenAt
​string | null · date-time
createdAt
​string · date-time
GET/v1/tag-keys/{tagKeyId}
curl https://api.costfluent.com/v1/tag-keys/:tagKeyId \ --header 'Authorization: Bearer <token>'
Example Responses
{ "id": { "Value": "Value" }, "key": "key", "providerKeys": [ "string" ], "valueCount": 0, "lastSeenAt": "2024-08-25T15:00:00Z", "createdAt": "2024-08-25T15:00:00Z" }
json
application/json

Delete tag key

DELETE
https://api.costfluent.com
/v1/tag-keys/{tagKeyId}
Bearer (API token)

Deletes a tag key

Delete tag key › path Parameters

​CostfluentSharedKernelPublicIdsTagKeyPublicId · required

Delete tag key › Responses

No Content

No data returned
DELETE/v1/tag-keys/{tagKeyId}
curl https://api.costfluent.com/v1/tag-keys/:tagKeyId \ --request DELETE \ --header 'Authorization: Bearer <token>'
Example Responses
No example specified for this content type

List tag keys

GET
https://api.costfluent.com
/v1/tag-keys
Bearer (API token)

Returns all discovered tag keys for the organization

List tag keys › query Parameters

page
​integer · int32 · required
limit
​integer · int32 · required
providerKey
​string | null

List tag keys › Responses

Success

CostfluentPublicApiModelsV1CommonPaginatedResponseOfTagKeyResponse
​CostfluentPublicApiModelsV1CommonPaginationLinks · required
​CostfluentPublicApiModelsV1ResponsesTagKeyResponse[] · required
GET/v1/tag-keys
curl 'https://api.costfluent.com/v1/tag-keys?page=<number>&limit=<number>' \ --header 'Authorization: Bearer <token>'
Example Responses
{ "links": { "self": "self", "first": "first", "prev": "prev", "next": "next", "last": "last" }, "data": [ { "id": { "Value": "Value" }, "key": "key", "providerKeys": [ "string" ], "valueCount": 0, "lastSeenAt": "2024-08-25T15:00:00Z", "createdAt": "2024-08-25T15:00:00Z" } ] }
json
application/json

TagsSaved Filters